<?php

if (!defined('ABSPATH')) {
  die;
} // Cannot access directly.

/*
 * @package swp-portfolio
 * @since 1.0.0
*/

//
// Set a unique slug-like ID
//
$prefix = 'swp_portfolio';

//
// Create options
//
CSF::createOptions($prefix, array(
  'menu_title' => esc_html__('Post Type Option', 'swp-portfolio'),
  'menu_slug'  => 'swp-portfolio-option',
  'menu_type'               => 'submenu',
  'menu_parent'             => 'edit.php?post_type=portfolio',
  'menu_capability'         => 'manage_options',
  'enqueue_webfont' => false,
  'show_footer'     => false,
  'show_in_customizer'      => false,
  'show_search'      => false,
  'footer_text'             => '',
  'footer_after'            => '',
  'footer_credit'           => ' ',
  'framework_title'           => esc_html__('Change Portfolio Name And Slug', 'swp-portfolio'),
  'show_bar_menu'           => false,
  'ajax_save'               => true,
  'theme'                   => 'light',
));

/*-------------------------------------------------------
		 **  Options
	--------------------------------------------------------*/
CSF::createSection($prefix, array(
  'title'  => esc_html__('Option', 'swp-portfolio'),
  'id'     => 'footer_options',
  'icon'   => 'fa fa-copyright',
  'fields' => array(
    array(
      'type'    => 'notice',
      'style'   => 'success',
      'content' => esc_html__('After change the option, You need to reload the page, To see the change of custom post type'),
    ),
    array(
      'id'         => 'singular_name',
      'title'      => esc_html__('Add Singular Name', 'swp-portfolio'),
      'type'       => 'text',
      'default'       => esc_html__('Portfolio', 'swp-portfolio'),
    ),
    array(
      'id'         => 'plural_name',
      'title'      => esc_html__('Add Plural Name', 'swp-portfolio'),
      'type'       => 'text',
      'default'       => esc_html__('Portfolios', 'swp-portfolio'),
    ),
    array(
      'id'         => 'slug',
      'title'      => esc_html__('Add Slug', 'swp-portfolio'),
      'type'       => 'text',
      'desc'       => esc_html__('default slug is portfolio', 'swp-portfolio'),
    ),
  )
));

add_action('csf_swp_portfolio_save_before', 'test');
function test()
{
  add_action('init', 'swp_portfolio_custom_flush_rules');
}

function swp_portfolio_custom_flush_rules()
{
  flush_rewrite_rules();
}
add_action('init', 'swp_portfolio_custom_flush_rules');
